<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Context Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Context Configuration<br/>
<small>
[<a class="el" href="group__group__vx__framework__config.html">TIOVX Configuration Parameters</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga8b616d3db87de29c3193b7849096b239">TIVX_CONTEXT_MAX_REFERENCES</a>&nbsp;&nbsp;&nbsp;(512u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible references in a context.  <a href="#ga8b616d3db87de29c3193b7849096b239"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gacd1ea761dc0074a1db3b8a6df60cbab4">TIVX_CONTEXT_MAX_KERNELS</a>&nbsp;&nbsp;&nbsp;(128u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible unique kernels in a context.  <a href="#gacd1ea761dc0074a1db3b8a6df60cbab4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gad60b64f2628a9a829d0b91ff39bbb35c">TIVX_CONTEXT_MAX_USER_STRUCTS</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible user structs in a context.  <a href="#gad60b64f2628a9a829d0b91ff39bbb35c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga11d4362b71d976c4afd524640e106589">TIVX_CONTEXT_MAX_CONVOLUTION_DIM</a>&nbsp;&nbsp;&nbsp;(15)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest convolution matrix the specification requires support for is 15x15.  <a href="#ga11d4362b71d976c4afd524640e106589"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#ga4b9667fb9e749205b073c781711c6138">TIVX_CONTEXT_MAX_OPTICALFLOWPYRLK_DIM</a>&nbsp;&nbsp;&nbsp;(9)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest optical flow pyr LK window.  <a href="#ga4b9667fb9e749205b073c781711c6138"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context__cfg.html#gabb812deddf0a24bc11d4ed50da04c587">TIVX_CONTEXT_MAX_NONLINEAR_DIM</a>&nbsp;&nbsp;&nbsp;(9)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The largest nonlinear filter matrix the specification requires support for is 9x9.  <a href="#gabb812deddf0a24bc11d4ed50da04c587"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga8b616d3db87de29c3193b7849096b239"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_REFERENCES" ref="ga8b616d3db87de29c3193b7849096b239" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_REFERENCES&nbsp;&nbsp;&nbsp;(512u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max possible references in a context. </p>

</div>
</div>
<a class="anchor" id="gacd1ea761dc0074a1db3b8a6df60cbab4"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_KERNELS" ref="gacd1ea761dc0074a1db3b8a6df60cbab4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_KERNELS&nbsp;&nbsp;&nbsp;(128u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max possible unique kernels in a context. </p>

</div>
</div>
<a class="anchor" id="gad60b64f2628a9a829d0b91ff39bbb35c"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_USER_STRUCTS" ref="gad60b64f2628a9a829d0b91ff39bbb35c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_USER_STRUCTS&nbsp;&nbsp;&nbsp;(16u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max possible user structs in a context. </p>

</div>
</div>
<a class="anchor" id="ga11d4362b71d976c4afd524640e106589"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_CONVOLUTION_DIM" ref="ga11d4362b71d976c4afd524640e106589" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_CONVOLUTION_DIM&nbsp;&nbsp;&nbsp;(15)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The largest convolution matrix the specification requires support for is 15x15. </p>

</div>
</div>
<a class="anchor" id="ga4b9667fb9e749205b073c781711c6138"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_OPTICALFLOWPYRLK_DIM" ref="ga4b9667fb9e749205b073c781711c6138" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_OPTICALFLOWPYRLK_DIM&nbsp;&nbsp;&nbsp;(9)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The largest optical flow pyr LK window. </p>

</div>
</div>
<a class="anchor" id="gabb812deddf0a24bc11d4ed50da04c587"></a><!-- doxytag: member="vx_context.h::TIVX_CONTEXT_MAX_NONLINEAR_DIM" ref="gabb812deddf0a24bc11d4ed50da04c587" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_NONLINEAR_DIM&nbsp;&nbsp;&nbsp;(9)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The largest nonlinear filter matrix the specification requires support for is 9x9. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
